Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 120690 - Printconf doesn't handle IPP URIs
Summary: Printconf doesn't handle IPP URIs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 3
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
: 82892 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-12 23:51 UTC by Stephane Peter
Modified: 2008-08-02 23:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-11 12:51:48 UTC


Attachments (Terms of Use)

Description Stephane Peter 2004-04-12 23:51:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20040116

Description of problem:
This also happens on Redhat 9.

If an IPP queue was set up in CUPS outside of the Printconf framework,
the whole printconf subsystem fails catastrophically when trying to
import the configuration. It looks like the code in cups_import.py is
unable to recognize URIs of the form ipp://... even though these are
very common in CUPS environment.


Version-Release number of selected component (if applicable):
redhat-config-printer-0.6.47-1

How reproducible:
Always

Steps to Reproduce:
1. Create an IPP queue manually
2. Run printconf
3. Get python errors
    

Actual Results:  Crash

Expected Results:  Successful import of IPP queues and printconf runs
normally.

Additional info:

Comment 1 Stephane Peter 2004-06-10 18:48:34 UTC
Apparently happens on FC2 as well.

Comment 2 Tomasz Ostrowski 2004-06-19 11:16:40 UTC
It looks like a GUI version of redhat-config-printer -
redhat-config-printer-gui supports IPP printers. So a workaroud would
be to use it instead of TUI version. But not every time it is possible
to use X.

Comment 3 Stephane Peter 2004-06-21 18:13:39 UTC
This bug is actually mostly pertaining to the case when you are NOT
using any of the redhat tools to create the queue. Printconf then
doesn't do its error handling properly.

Note that the crash happens outside of any GUI (in the printconf backend).


Comment 4 Tim Waugh 2004-12-08 14:46:36 UTC
*** Bug 82892 has been marked as a duplicate of this bug. ***

Comment 5 jacob liberman 2005-06-28 21:48:35 UTC
redhat-config-printer-tui does not allow you to create CUPS IPP print queues. I
believe this is a big since many print servers run without X.

Comment 6 Matthew Miller 2006-07-10 21:00:07 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 7 Tim Waugh 2006-07-11 12:51:48 UTC
FWIW, this will be fixed in FC6:

1. arbitrary URIs are allowed in the graphical interface
2. remote configuration over IPP is supported



Note You need to log in before you can comment on or make changes to this bug.